/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server.jira;

import java.awt.Color;

/**
 * <i>JIRA</i>-related constants.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class JiraConstants {
	/** Color codes for the issue statuses. */
	public final static Color OPEN_COLOR = new Color(0xFF0000);
	public final static Color CODING_IN_PROGRESS_COLOR = new Color(0xFFFF00);
	public final static Color REOPENED_COLOR = new Color(0xDD0000);
	public final static Color RESOLVED_COLOR = new Color(0x00FF00);
	public final static Color CLOSED_COLOR = new Color(0xDDDDDD);
	
	/** Color codes for issue priorities. */
	public final static Color BLOCKER_COLOR = new Color(0xFF0000);
	public final static Color CRITICAL_COLOR = new Color(0xEE0000);
	public final static Color MAJOR_COLOR = new Color(0xDD0000);
	public final static Color MINOR_COLOR = new Color(0xFFFF00);
	public final static Color TRIVIAL_COLOR = new Color(0xEEEE00);
	public final static Color OPTIONAL_COLOR = new Color(0xDDDDDD);
}
